#TODO: comprobar como unico parametro particion /dev/sda1
#COMPAR="partclone.$FS --clone --force --source $PART"
COMPAR="-F -c -s "
TYPE="$(ogr GetFsType `ogr DevToDisk $1`)"
case "$TYPE" in
    EXT[234])
        echo "partclone.extfs $COMPAR $1"
        ;;
    REISERFS|XFS|JFS)
        echo "partclone.dd $COMPAR $1"
        ;;
    NTFS|HNTFS)
        echo "partclone.ntfs $COMPAR $1"
        ;;
    FAT16|FAT32|HFAT16|HFAT32)
        echo "partclone.fat $COMPAR $1"
        ;;
    HFS|HFS+)
        echo "partclone.hfsp $COMPAR $1"
        ;;
    *)  ogr RaiseError $OG_ERR_PARTITION "$1 $TYPE"
        return $? ;;
esac   
